DynamicJava Javadoc: Class UnaryExpression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class UnaryExpression

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.UnaryExpression

All Implemented Interfaces:
  ExpressionContainer

Direct Known Subclasses:
  CastExpression, ComplementExpression, MinusExpression, NotExpression, PlusExpression, PostDecrement, PostIncrement, PreDecrement, PreIncrement

public abstract class UnaryExpression
extends Expression
implements ExpressionContainer

This class represents the unary expression nodes of the syntax tree

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Fields inherited from interface koala.dynamicjava.tree.ExpressionContainer
`EXPRESSION`

Constructor Summary
`protected` | `UnaryExpression(Expression exp, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the expression

Method Summary
`Expression` | `getExpression()` Returns the target expression
`void` | `setExpression(Expression e)` Sets the target expression

Methods inherited from class koala.dynamicjava.tree.Node
`acceptVisitor, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryExpression

    protected UnaryExpression(Expression exp,
                              java.lang.String fn,
                              int bl,
                              int bc,
                              int el,
                              int ec)

  Initializes the expression
  Parameters:
    `exp` - the target expression
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if exp is null

Method Detail

### getExpression

    public Expression getExpression()

  Returns the target expression
  Specified by:
    `getExpression` in interface `ExpressionContainer`

### setExpression

    public void setExpression(Expression e)

  Sets the target expression
  Specified by:
    `setExpression` in interface `ExpressionContainer`
  Throws:
    `java.lang.IllegalArgumentException` - if e is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.